## RENAME COLUMN Statement (rename_column_statement)

A RENAME COLUMN statement (rename_column_statement) changes the name of a table column.

### Syntax

<rename_column_statement> ::=
RENAME COLUMN <table_name>.<column_name> TO <column_name>

### Explanation

The specified table must be a base or view table.

If a schema is not specified in the table name, the current schema is assumed implicitly.

The specified table column is given a new name. If the column name of a view table (that was defined with this table) was derived from the column name of the base table, the old column name in the view table is replaced by the new name. If the new column name is identical with an existing column name of the view table, the RENAME COLUMN statement fails.